Skip to main content
POST
/
email
/
inboxes
/
{inbox_id}
/
messages
/
batch-get
Batch get messages
curl --request POST \
  --url https://api.crevio.co/v1/email/inboxes/{inbox_id}/messages/batch-get \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message_ids": [
    "<string>"
  ]
}
'
{
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "thread_id": "<string>",
      "inbox_id": "<string>",
      "message_id": "<string>",
      "in_reply_to": "<string>",
      "references": [
        "<string>"
      ],
      "from": "<string>",
      "to": "<array>",
      "cc": "<array>",
      "bcc": "<array>",
      "reply_to": "<string>",
      "subject": "<string>",
      "preview": "<string>",
      "labels": [
        "<string>"
      ],
      "delivery": {},
      "attachments": "<array>",
      "text": "<string>",
      "html": "<string>",
      "timestamp": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

inbox_id
string
required

Inbox id (inbox_…)

Body

application/json
message_ids
string[]
required

Message ids (msg_…), up to 500

Response

Messages

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string